Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp
Class AFPRendererConfig

    java.lang.Object
      org.apache.fop.render.afp.AFPRendererConfig

All Implemented Interfaces:
  RendererConfig

    public final class AFPRendererConfig

extends java.lang.Object
implements RendererConfig

The AFP renderer config object.

Nested Class Summary
`static class` | `AFPRendererConfig.AFPRendererConfigParser` The parser for AFP renderer specific data in the FOP conf.
`static class` | `AFPRendererConfig.ImagesModeOptions` An enumeration for the various images modes available to the AFP renderer.

Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig
`RendererConfig.RendererConfigParser`

Method Summary
`java.lang.Boolean` | `allowJpegEmbedding()`
`java.lang.Float` | `getBitmapEncodingQuality()`
`java.lang.Integer` | `getBitsPerPixel()`
`java.net.URI` | `getDefaultResourceGroupUri()`
`java.lang.Float` | `getDitheringQuality()`
`AFPFontConfig` | `getFontInfoConfig()` Returns the render-specific font configuration information.
`java.lang.Float` | `getLineWidthCorrection()`
`java.lang.Integer` | `getResolution()`
`AFPResourceLevelDefaults` | `getResourceLevelDefaults()`
`AFPShadingMode` | `getShadingMode()`
`java.lang.Boolean` | `isCmykImagesSupported()`
`java.lang.Boolean` | `isColorImages()`
`java.lang.Boolean` | `isFs45()`
`java.lang.Boolean` | `isGocaEnabled()`
`java.lang.Boolean` | `isNativeImagesSupported()`
`java.lang.Boolean` | `isStrokeGocaText()`
`java.lang.Boolean` | `isWrapPseg()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFontInfoConfig

    public AFPFontConfig getFontInfoConfig()

  Description copied from interface: `RendererConfig`
  Returns the render-specific font configuration information.

  Specified by:
    `getFontInfoConfig` in interface `RendererConfig`
  Returns:
    the font config

### isColorImages

    public java.lang.Boolean isColorImages()

### isCmykImagesSupported

    public java.lang.Boolean isCmykImagesSupported()

### getBitsPerPixel

    public java.lang.Integer getBitsPerPixel()

### getDitheringQuality

    public java.lang.Float getDitheringQuality()

### isNativeImagesSupported

    public java.lang.Boolean isNativeImagesSupported()

### getShadingMode

    public AFPShadingMode getShadingMode()

### getResolution

    public java.lang.Integer getResolution()

### getDefaultResourceGroupUri

    public java.net.URI getDefaultResourceGroupUri()

### getResourceLevelDefaults

    public AFPResourceLevelDefaults getResourceLevelDefaults()

### isWrapPseg

    public java.lang.Boolean isWrapPseg()

### isFs45

    public java.lang.Boolean isFs45()

### allowJpegEmbedding

    public java.lang.Boolean allowJpegEmbedding()

### getBitmapEncodingQuality

    public java.lang.Float getBitmapEncodingQuality()

### getLineWidthCorrection

    public java.lang.Float getLineWidthCorrection()

### isGocaEnabled

    public java.lang.Boolean isGocaEnabled()

### isStrokeGocaText

    public java.lang.Boolean isStrokeGocaText()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.